# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jan 24 23:08:23 2025
# ------------------------------------------------

package:
  name: jinja2
  version: 3.1.5
source:
  sha256: 8fefff8dc3034e27bb80d67c671eb8a9bc424c0ef4c0826edbff304cceff43bb
  url: https://pypi.io/packages/source/j/jinja2/jinja2-3.1.5.tar.gz
build:
  number: '0'
  script: /croot/jinja2_1737760107953/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py312h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2024.12.31 h06a4308_0
    - expat 2.6.4 h6a678d5_0
    - flit-core 3.9.0 py312hee27c6d_1
    - ld_impl_linux-64 2.40 h12ee557_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.15 h5eee18b_0
    - pip 24.2 py312h06a4308_0
    - python 3.12.8 h5148396_0
    - readline 8.2 h5eee18b_0
    - setuptools 75.1.0 py312h06a4308_0
    - sqlite 3.45.3 h5eee18b_0
    - tk 8.6.14 h39e8969_0
    - tzdata 2025a h04d1e81_0
    - wheel 0.44.0 py312h06a4308_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  run:
    - markupsafe >=2.0
    - python >=3.12,<3.13.0a0
  run_constrained:
    - babel >=2.7
test:
  commands:
    - pip check
    - pytest tests -v
  imports:
    - jinja2
  requires:
    - pip
    - pytest
    - trio
  source_files:
    - tests
about:
  description: "Jinja is a fast, expressive, extensible templating engine. Special\n\
    placeholders in the template allow writing code similar to Python\nsyntax. Then\
    \ the template is passed data to render the final document.\n\nIt includes:\n\
    -   Template inheritance and inclusion.\n-   Define and import macros within templates.\n\
    -   HTML templates can use autoescaping to prevent XSS from untrusted\n    user\
    \ input.\n-   A sandboxed environment can safely render untrusted templates.\n\
    -   AsyncIO support for generating templates and calling async\n    functions.\n\
    -   I18N support with Babel.\n-   Templates are compiled to optimized Python code\
    \ just-in-time and\n    cached, or can be compiled ahead-of-time.\n-   Exceptions\
    \ point to the correct line in templates to make debugging\n    easier.\n-   Extensible\
    \ filters, tests, functions, and even syntax.\n\nJinja's philosophy is that while\
    \ application logic belongs in Python if\npossible, it shouldn't make the template\
    \ designer's job difficult by\nrestricting functionality too much.\n"
  dev_url: https://github.com/pallets/jinja/
  doc_url: https://jinja.palletsprojects.com/
  home: https://palletsprojects.com/p/jinja/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: A very fast and expressive template engine.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: c9da766e-d2e5-4880-babe-04532fd98093
  recipe-maintainers:
    - jakirkham
    - msarahan
    - nehaljwani
    - scopatz
  remote_url: git@github.com:AnacondaRecipes/jinja2-feedstock.git
  sha: d33a02f145a914b1ffef749df3b12f7c6c332ef3
